# Crolim - Cron Limiter

This utility allows you to schedule frequent cron jobs that don't actually do anything until some criteria is met (e.g. date changed).

Example use case: your phone is suspended throughout the day and you want to run a daily cron job without waking the phone needlessly.

## Usage

Mostly usable as a "prefix" for your cron jobs.

## Basic

Run a podcast getter daily
```
crolim podget
```

## Advanced

Run a podcast getter daily (explicit version of the basic example):
```
crolim --memory-file=$HOME/.config/crolim/memory-podcast --status-command="date +%D" podget
```

## Install

Copy it to `/usr/local/bin/` with execute permissions.

